> ## Documentation Index
> Fetch the complete documentation index at: https://developer.findity.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get expense image

> Display the receipt image if one is added to the expense.



## OpenAPI

````yaml openapi/findity-expense-api.json GET /expenses/{expenseId}/image
openapi: 3.0.3
info:
  title: Findity Expense API
  description: Findity Expense API
  version: 1.0.0
servers:
  - url: https://stage-api.findity.com/api/v1/expense
  - url: https://api.findity.com/api/v1/expense
security:
  - bearerAuth: []
paths:
  /expenses/{expenseId}/image:
    get:
      tags:
        - Expenses
      summary: Get expense image
      description: Display the receipt image if one is added to the expense.
      operationId: getExpenseImage
      parameters:
        - $ref: '#/components/parameters/expenseId'
        - name: size
          in: query
          description: >-
            the max dimensions of the image, for receipts default 200x200, max
            2000x2000 and min 50x50 for receipt and for maps default 480x480,
            max 640x640 and min 180x180
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            image/png:
              schema:
                type: string
                format: binary
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Error'
              examples:
                expenseRecordNotFound:
                  value:
                    result: error
                    code: EXPENSE_RECORD_NOT_FOUND
                    description: Expense not found
                expenseImageNotFound:
                  value:
                    result: error
                    code: EXPENSE_IMAGE_NOT_FOUND
                    description: Expense image not found
components:
  parameters:
    expenseId:
      in: path
      name: expenseId
      required: true
      description: The id of the expense to retrieve
      schema:
        $ref: '#/components/schemas/Uuid'
      example: da35f675f40e47bcae2fff3c43a94c73
  schemas:
    404Error:
      type: object
      properties:
        result:
          type: string
        code:
          type: string
        description:
          type: string
    Uuid:
      type: string
      pattern: ^[0-9a-fA-F]{32}$
      description: UUID without dashes (32-character hex string)
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````